.TH FMTDATE 1 "13 January 1999" "Version 1.01"
.\"======================================================================
.SH NAME
fmtdate \- format a YYYYMMDD date according to a format string
.\"======================================================================
.SH SYNOPSIS
.B fmtdate
.I yyyymmdd
.I format-string
.nf
or
.fi
.B fmtdate
.I format-string
.nf
or
.fi
.B fmtdate
.\"======================================================================
.SH DESCRIPTION
.B fmtdate
formats a date in
.I yyyymmdd
form according to a
.IR format-string .
The two arguments may be given on the command line, in that order, or
read from a single line of
.IR stdin ,
or the
.I format-string
may be given alone on the command line, and the
.I yyyymmdd
value is then read from
.IR stdin .
.PP
The format string may contain one or more of the following items,
separated by any other characters which are simply passed on through
unchanged.  However, if the format string is read from
.IR stdin ,
it may 
.I not 
contain blanks.
.TP \w'%month'u+2n
.I %yyyy
4-digit year (e.g., 
.IR 1998 ).
.TP
.I %yy
2-digit year (e.g., 
.IR 98 ).
.TP
.I %mm
2-digit month with leading zeroes (e.g., 
.IR 02 ).
.TP
.I %m
2-digit month with no leading zeroes (e.g., 
.IR 2 ).
.TP
.I %dd
2-digit day with leading zeroes (e.g., 
.IR 06 ).
.TP
.I %d
2-digit day with no leading zeroes (e.g., 
.IR 6 ).
.TP
.I %mon
Three-character month abbreviation (e.g., 
.IR Feb ).
.TP
.I %month
Full month name (e.g., 
.IR February ).
.\"======================================================================
.SH BUGS
There is minimal error checking: out-of-range input values may produce
nonsense output, or complaints of syntax errors, or exceptionally long
run times.
.\"======================================================================
.SH "SEE ALSO"
.BR monthdays (1),
.BR yd2ymd (1),
.BR ydadd (1),
.BR yeardays (1),
.BR yestrday (1),
.BR ymd2yd (1),
.BR ymdadd (1).
.\"======================================================================
.SH AUTHOR
The date scripts in this collection were written by:
.RS
Mo Budlong
.I <mo.budlong@sunworld.com>
.RE
in his
.I "SunWorld Online UNIX 101"
columns; see:
.RS
.nf
.I "http://www.sunworld.com/sunworldonline/swol-11-1998/swol-11-unix101.html"
.I "http://www.sunworld.com/swol-12-1998/swol-12-unix101.html?1201a"
.I "http://www.sunworld.com/swol-01-1999/swol-01-unix101.html?0111a"
.fi
.RE
.\"==============================[The End]==============================
